> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get documents by ID with a signed URL



## OpenAPI

````yaml /openapi.json get /documents
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /documents:
    get:
      tags:
        - documents
      summary: Get documents by ID with a signed URL
      operationId: DocumentsController_getDocuments
      parameters:
        - name: ids
          required: true
          in: query
          description: the document ids to retrieve
          schema:
            type: array
            items:
              type: string
        - name: includeDeleted
          required: false
          in: query
          description: include deleted documents
          schema:
            type: boolean
        - name: forceDownload
          required: false
          in: query
          description: >-
            force download disposition for signed URLs (attachment instead of
            inline)
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDocumentsOutput'
components:
  schemas:
    GetDocumentsOutput:
      type: object
      properties:
        documents:
          description: the documents retrieved
          type: array
          items:
            $ref: '#/components/schemas/DocumentWithSignedUrl'
      required:
        - documents
    DocumentWithSignedUrl:
      type: object
      properties:
        metadata:
          description: metadata assigned to the object
          type: array
          items:
            $ref: '#/components/schemas/Metadata'
        id:
          type: string
          description: the id of the document
        name:
          type: string
          description: the name of the document
        path:
          type: string
          description: the path from Korint CDNof the document
        createdAt:
          format: date-time
          type: string
          description: the date of creation of the document
        signedUrl:
          type: string
          description: the signed url to download the document
      required:
        - metadata
        - id
        - name
        - path
        - createdAt
        - signedUrl
    Metadata:
      type: object
      properties:
        key:
          type: string
          description: the key of the metadata
        value:
          type: string
          description: the value of the metadata
      required:
        - key
        - value

````